<?php if (!defined('PmWiki')) exit();
/**
 * snotes.php
 * @author V.Krishn (vkrishn@insteps.net)
 * @note This file is part of Cookbook recipe "Snotes" for PmWiki;
 * You can redistribute it and/or modify it under the terms of the
 * GNU General Public License as published by the  Free Software
 * Foundation; either version 2 of the License, or (at your option)
 * any later version. @see pmwiki.php for full details.
 *
 * @category pmwiki/cookbook
 * @package snotes
 * @copyright Copyright (c) 2005-2009 V.Krishn (vkrishn@insteps.net)
 * @license GPL
 * @version 2.2.1
 */

global $Snotes;
if ( ! IsEnabled($EnableSnotes, 0)) return;

## Current script variables
    if ( ! defined(DS) ) { define('DS', DIRECTORY_SEPARATOR); }
    $Snotes['Current']['dir'] = dirname(__FILE__);
    $EnableSnotesDebug = 0; # 0=no debug, 1=debug messages, 2=all
    $Snotes['debug']['msg'] = array();

## Get cookbook/modules meta and version variables
## @todo xml version of the metapage
    if (file_exists($Snotes['Current']['dir'] . DS . "version.php")) {
      include_once($Snotes['Current']['dir'] . DS . "version.php");
    }

## Get wiki group and pagename for use
    $Snotes['page']['CurrentGroup'] = FmtPageName('$Group', $pagename);
    $Snotes['page']['CurrentName'] = FmtPageName('$Name', $pagename);


## Set modules/cookbook install variables.
## Change these values accordingly.
    SDV($Snotes['Install']['location'], '0'); # 0=field, 1=farm, 2=others
    SDV($Snotes['Install']['path'], 'cookbook'); # relative to field or farm
    SDV($Snotes['Install']['dir'], 'snotes'); # folder where installed
    SDV($Snotes['Install']['icon']['dir'], 'icons'); # icons to be used in snotes


    // --------------------------------------
    // Would not require to edit below this
    // --------------------------------------


include_once('scripts/functions.php');
include_once('scripts/set_path_file.php');

if($EnableSnotesDebug > 0) {
  //$Snotes['debug']['msg'][] = $Snotes['Install'];
}

global $LinkFunctions, $IMap;
SDV($LinkFunctions['nbullet:'], 'LinkIMap');
SDV($IMap['nbullet:'], $snotesIconUrlPath . "/" . '$1');
SDV($LinkFunctions['icon:'], 'LinkIMap');
SDV($IMap['icon:'], $snotesIconUrlPath . "/" . '$1');

$HTMLHeaderFmt['snotes'] = "
<link rel='stylesheet' type='text/css' href='$snotesInstallUrlPath/snotes.css' />\n";

## Debug
$snotesDebugMsg = SnotesDebug($EnableSnotesDebug);
if($snotesDebugMsg) {
  @$HTMLFooterFmt['snotes_DEBUG'] =
      '<pre>' . $snotesDebugMsg . '</pre>' . "\n";
}


